cracklib

Global USE flag

Support for cracklib strong password checking


Packages describing “cracklib” as local USE flag

Package “cracklib” Flag Description
net-irc/atheme-services Enable nickserv/cracklib module for enforcing strong account passwords
sys-auth/pambase Enable pam_cracklib module on system authentication stack. This produces warnings when changing password to something easily crackable. It requires the same USE flag to be enabled on sys-libs/pam or system login might be impossible.
sys-libs/pam Build the pam_cracklib module, that allows to verify the chosen passwords' strength through the use of sys-libs/cracklib. Please note that simply enabling the USE flag on this package will not make use of pam_cracklib by default, you should also enable it in sys-auth/pambase as well as update your configuration files.